# Class: Zoomify

## ol.tilegrid.Zoomify

Set the grid pattern for sources accessing Zoomify tiled-image servers.

#### new ol.tilegrid.Zoomify(opt_options) experimental

src/ol/tilegrid/zoomifytilegrid.js, line 19

  Name | Type | Description
  --- | --- | ---
  `options` | optional Options.
  Name | Type | Description
  --- | --- | ---
  `resolutions` | Array.<number> | Resolutions.

### Extends

- ol.tilegrid.TileGrid

### Methods

#### getMinZoom(){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 145

  ##### Returns:

  Min zoom.

#### getOrigin(z){ol.Coordinate} inherited experimental

src/ol/tilegrid/tilegrid.js, line 155

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Origin.

#### getResolution(z){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 171

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Resolution.

#### getTileSize(z){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 369

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Tile size.